The Alternative Csound Reference Manual
Previous |  | Next

# GEN24

GEN24 -- Reads numeric values from another allocated function-table and rescales them.

## Description

This subroutine reads numeric values from another allocated function-table and rescales them according to the max and min values given by the user.

## Syntax

f # time size -24 ftable min max

## Initialization

#, time, size -- the usual GEN parameters. See f statement.

ftable -- ftable must be an already allocated table with the same size as this function.

min, max -- the rescaling range.

| Note
| This GEN is useful, for example, to eliminate the starting offset in exponential segments allowing a real starting from zero.

## Credits

Author: Gabriel Maldonado

New in Csound version 4.16

Previous | Home | Next
GEN23 | Up | GEN25